{
  "type": "excalidraw",
  "version": 2,
  "source": "https://marketplace.visualstudio.com/items?itemName=pomdtr.excalidraw-editor",
  "elements": [
    {
      "id": "BvRfpT9PjW_kUUdvObdR9",
      "type": "rectangle",
      "x": 317.68227586078217,
      "y": 21.402330304546183,
      "width": 465,
      "height": 321.3300850001507,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#b2f2bb",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zk",
      "roundness": {
        "type": 3
      },
      "seed": 467384635,
      "version": 401,
      "versionNonce": 1065894065,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "8f_An-rVCtARCKwSZoIV4",
          "type": "arrow"
        },
        {
          "id": "vKkESnRfgEWPPwEIl5QsI",
          "type": "arrow"
        }
      ],
      "updated": 1761408998037,
      "link": null,
      "locked": false
    },
    {
      "id": "tmiWs5UQ_F_uiu-KY3Hvv",
      "type": "rectangle",
      "x": 521.5488179720959,
      "y": 35.15862600000004,
      "width": 98.5026751474385,
      "height": 279.0909132980806,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zl",
      "roundness": {
        "type": 3
      },
      "seed": 1683972977,
      "version": 277,
      "versionNonce": 1955525343,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761409123872,
      "link": null,
      "locked": false
    },
    {
      "id": "FCqHT9kG3gSyeN7VNJOBT",
      "type": "rectangle",
      "x": 357.45797454334837,
      "y": 35.158626380338845,
      "width": 153.22638356268197,
      "height": 279.0909129177418,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "Zn",
      "roundness": {
        "type": 3
      },
      "seed": 1230402513,
      "version": 123,
      "versionNonce": 372600465,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761409123872,
      "link": null,
      "locked": false
    },
    {
      "id": "TRtVdpoV_NOQ-qsmW09e0",
      "type": "ellipse",
      "x": 286.67235317036096,
      "y": 415.6092509858377,
      "width": 36.95467760734998,
      "height": 36.95467760734998,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ff8787",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "wvD2kNRQoysgyxXzxuzsp",
        "745dcUVv3aUf7RtT1KSVs"
      ],
      "frameId": null,
      "index": "adV",
      "roundness": {
        "type": 2
      },
      "seed": 1455488885,
      "version": 458,
      "versionNonce": 1710764511,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761407908697,
      "link": null,
      "locked": false
    },
    {
      "id": "tmH4m73j5WW8pHBBOI4Bv",
      "type": "line",
      "x": 316.10472787513515,
      "y": 425.552255502421,
      "width": 21.910072165110847,
      "height": 17.068668489108013,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "wvD2kNRQoysgyxXzxuzsp",
        "745dcUVv3aUf7RtT1KSVs"
      ],
      "frameId": null,
      "index": "ae",
      "roundness": {
        "type": 2
      },
      "seed": 1840990421,
      "version": 939,
      "versionNonce": 316601535,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761407915686,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -8.706103536176816,
          2.211447728639211
        ],
        [
          -13.49529754416707,
          14.76503254112443
        ],
        [
          -21.910072165110847,
          17.068668489108013
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "kcqSHeGWTqe6KZjzCVSC4",
      "type": "text",
      "x": 266.64969189146393,
      "y": 462.8413993636826,
      "width": 77,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "745dcUVv3aUf7RtT1KSVs"
      ],
      "frameId": null,
      "index": "aeV",
      "roundness": null,
      "seed": 1091990677,
      "version": 94,
      "versionNonce": 888446463,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761407908697,
      "link": null,
      "locked": false,
      "text": "Sigmoid",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Sigmoid",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "7qoqBkK6gVieRbV8EToZl",
      "type": "ellipse",
      "x": 378.0453325617842,
      "y": 414.6092509858376,
      "width": 36.95467760734998,
      "height": 36.95467760734998,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#4dabf7",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "aOpgR8QyQUAjPqasEmQlo",
        "XEQMCq17zjM41_Dx_qnWo"
      ],
      "frameId": null,
      "index": "ael",
      "roundness": {
        "type": 2
      },
      "seed": 1330797243,
      "version": 556,
      "versionNonce": 749936059,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false
    },
    {
      "id": "suFKRIN8uF122NSn30dMS",
      "type": "line",
      "x": 407.4777072665584,
      "y": 424.5522555024209,
      "width": 21.910072165110847,
      "height": 17.068668489108013,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "aOpgR8QyQUAjPqasEmQlo",
        "XEQMCq17zjM41_Dx_qnWo"
      ],
      "frameId": null,
      "index": "af",
      "roundness": {
        "type": 2
      },
      "seed": 458050395,
      "version": 989,
      "versionNonce": 899526235,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -8.706103536176816,
          2.211447728639211
        ],
        [
          -13.49529754416707,
          14.76503254112443
        ],
        [
          -21.910072165110847,
          17.068668489108013
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "GO2D3EA313jC9ecSgXBud",
      "type": "text",
      "x": 374.5226706757072,
      "y": 461.8413993636826,
      "width": 44,
      "height": 25,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "XEQMCq17zjM41_Dx_qnWo"
      ],
      "frameId": null,
      "index": "afV",
      "roundness": null,
      "seed": 1090608725,
      "version": 229,
      "versionNonce": 808266491,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "text": "Tanh",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "left",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "Tanh",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "HpVKNXnaUd8xv8l6pdqzO",
      "type": "rectangle",
      "x": 482.6926382165823,
      "y": 414.60925098583766,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "RrSslmuhUEKuDii00e0xn",
        "l2oL-HC8LAPgBJ6b417H7"
      ],
      "frameId": null,
      "index": "agG",
      "roundness": {
        "type": 3
      },
      "seed": 1971832309,
      "version": 508,
      "versionNonce": 1893995419,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false
    },
    {
      "id": "r4NoXLf3sO-YDKa50QslL",
      "type": "line",
      "x": 501.109985613547,
      "y": 421.7559010746902,
      "width": 0,
      "height": 22.006395402723488,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "RrSslmuhUEKuDii00e0xn",
        "l2oL-HC8LAPgBJ6b417H7"
      ],
      "frameId": null,
      "index": "agV",
      "roundness": {
        "type": 2
      },
      "seed": 1155874645,
      "version": 481,
      "versionNonce": 401926203,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          22.006395402723488
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "f1xmsiP259yZuCDaQy1qp",
      "type": "line",
      "x": 490.7195163296394,
      "y": 432.6413493623804,
      "width": 20.255886677506805,
      "height": 0,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "RrSslmuhUEKuDii00e0xn",
        "l2oL-HC8LAPgBJ6b417H7"
      ],
      "frameId": null,
      "index": "ah",
      "roundness": {
        "type": 2
      },
      "seed": 822906037,
      "version": 485,
      "versionNonce": 457320667,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          20.255886677506805,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "T8gRUpC-mm09IeRbMeJI5",
      "type": "text",
      "x": 440.60998549109365,
      "y": 461.8413993636826,
      "width": 121,
      "height": 50,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "l2oL-HC8LAPgBJ6b417H7"
      ],
      "frameId": null,
      "index": "ahV",
      "roundness": null,
      "seed": 1251177717,
      "version": 332,
      "versionNonce": 274617723,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "text": "elementwise\naddition",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "elementwise\naddition",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "iCGzeMHrpb7vExYfihHkT",
      "type": "rectangle",
      "x": 622.8903820305533,
      "y": 414.6092509858377,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "Gq1ksJ_f5CIC5zOLHCmql",
        "uMGht35akwzElNzuf0hnr"
      ],
      "frameId": null,
      "index": "aiG",
      "roundness": {
        "type": 3
      },
      "seed": 1287030299,
      "version": 657,
      "versionNonce": 915140123,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false
    },
    {
      "id": "eVKv94LYi5iiWSsPT9ij8",
      "type": "line",
      "x": 634.0199189380354,
      "y": 425.6089091138003,
      "width": 14.066587970490785,
      "height": 14.066587970490785,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "Gq1ksJ_f5CIC5zOLHCmql",
        "uMGht35akwzElNzuf0hnr"
      ],
      "frameId": null,
      "index": "aiV",
      "roundness": {
        "type": 2
      },
      "seed": 1708460731,
      "version": 729,
      "versionNonce": 1086157499,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          14.066587970490785,
          14.066587970490785
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "5oWViCgSlLX47lwpEO2Au",
      "type": "line",
      "x": 633.7352253767157,
      "y": 439.88422558761357,
      "width": 15.12939683937231,
      "height": 15.129396839372362,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "Gq1ksJ_f5CIC5zOLHCmql",
        "uMGht35akwzElNzuf0hnr"
      ],
      "frameId": null,
      "index": "aj",
      "roundness": {
        "type": 2
      },
      "seed": 771357531,
      "version": 703,
      "versionNonce": 1603625819,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          15.12939683937231,
          -15.129396839372362
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "SRy9npjArGtL16qtPO1RA",
      "type": "text",
      "x": 564.307729160136,
      "y": 461.8413993636826,
      "width": 154,
      "height": 50,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "uMGht35akwzElNzuf0hnr"
      ],
      "frameId": null,
      "index": "ajV",
      "roundness": null,
      "seed": 1360302837,
      "version": 415,
      "versionNonce": 191250427,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "text": "elementwise\nmultiplication",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "elementwise\nmultiplication",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "CHFB_QOmG1udCdcn65GOX",
      "type": "arrow",
      "x": 778.7886147759878,
      "y": 413.53046362621956,
      "width": 57.358340647712,
      "height": 22.892286374512935,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "G3qxU1fUg6EE66VnVkyTM",
        "iDk1L2MZwkXHOjJGIHtAx"
      ],
      "frameId": null,
      "index": "ak",
      "roundness": null,
      "seed": 207905173,
      "version": 434,
      "versionNonce": 238192795,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          20.075419226699182,
          0
        ],
        [
          20.075419226699182,
          22.892286374512935
        ],
        [
          57.358340647712,
          22.892286374512935
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            20.07541922669918,
            0
          ],
          "end": [
            20.07541922669918,
            22.892286374512935
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "WdvcNwm21UoE3qqhWyQ3I",
      "type": "arrow",
      "x": 776.7401026099981,
      "y": 456.8327402623464,
      "width": 59.816555246899725,
      "height": 19.85836890319193,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "G3qxU1fUg6EE66VnVkyTM",
        "iDk1L2MZwkXHOjJGIHtAx"
      ],
      "frameId": null,
      "index": "al",
      "roundness": null,
      "seed": 1637053077,
      "version": 441,
      "versionNonce": 1303166267,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          20.894824093095043,
          0
        ],
        [
          20.894824093095043,
          -19.85836890319193
        ],
        [
          59.816555246899725,
          -19.85836890319193
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            20.894824093095043,
            0
          ],
          "end": [
            20.894824093095043,
            -19.85836890319193
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "-xVtAn6dHx0uzp3Hze7cP",
      "type": "text",
      "x": 735.1483802167539,
      "y": 461.84139967062384,
      "width": 143,
      "height": 50,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "iDk1L2MZwkXHOjJGIHtAx"
      ],
      "frameId": null,
      "index": "am",
      "roundness": null,
      "seed": 387078267,
      "version": 233,
      "versionNonce": 1429691867,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761405782298,
      "link": null,
      "locked": false,
      "text": "vector \nconcatenation",
      "fontSize": 20,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "vector \nconcatenation",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "QPn305uLUWYRHf89v9ZML",
      "type": "text",
      "x": 470.9823248729134,
      "y": -104.57113125298308,
      "width": 158.39990234375,
      "height": 45,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "ao",
      "roundness": null,
      "seed": 1670401461,
      "version": 117,
      "versionNonce": 1011879377,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761408744024,
      "link": null,
      "locked": false,
      "text": "GRU Cell",
      "fontSize": 36,
      "fontFamily": 8,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "GRU Cell",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "0sGpZ207LzfImVMis4tn9",
      "type": "arrow",
      "x": 269.975077127939,
      "y": 67.35482196122487,
      "width": 575.4217629999999,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0Q",
      "roundness": {
        "type": 2
      },
      "seed": 881895743,
      "version": 139,
      "versionNonce": 315460287,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          575.4217629999999,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "0s2pDCDPWGEJVOi_B0bc9",
      "type": "arrow",
      "x": 272.35032945105957,
      "y": 68.61688712028655,
      "width": 291.8573996768796,
      "height": 228.4849959615281,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0R",
      "roundness": null,
      "seed": 965662737,
      "version": 222,
      "versionNonce": 2056904113,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408919960,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          71.7965106768794,
          0
        ],
        [
          71.7965106768794,
          228.4849959615281
        ],
        [
          291.8573996768796,
          228.4849959615281
        ],
        [
          291.8573996768796,
          22.215273644613262
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "8kZ2lg3rgELQaSRYmJs49",
        "fixedPoint": [
          0.497285168227823,
          1.1353008691653574
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            71.7965106768794,
            0
          ],
          "end": [
            71.7965106768794,
            228.4849959615281
          ]
        },
        {
          "index": 3,
          "start": [
            71.7965106768794,
            228.4849959615281
          ],
          "end": [
            291.8573996768796,
            228.4849959615281
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "rUXG53wIhSgxjAgRp26dU",
      "type": "arrow",
      "x": 472.1718401279389,
      "y": 233.860844880144,
      "width": 53.422661556077,
      "height": 93.60602291891914,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0S",
      "roundness": null,
      "seed": 64706431,
      "version": 151,
      "versionNonce": 457072337,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408920993,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -93.60602291891914
        ],
        [
          -53.422661556077,
          -93.60602291891914
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "LHcABkN21hOUOmidcVBYZ",
        "fixedPoint": [
          0.49729398261669167,
          -0.1353008691653568
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "8K-rokJRmxej2lsdYajP1",
        "fixedPoint": [
          1.1357415886088922,
          0.497293982616693
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": null,
      "startIsSpecial": null,
      "endIsSpecial": null
    },
    {
      "id": "y6Dd98MNKZd2FIHXpIx1T",
      "type": "arrow",
      "x": 344.77184012793896,
      "y": 385.338183683819,
      "width": 219.4358890000002,
      "height": 294.5060229189192,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0V",
      "roundness": null,
      "seed": 499097649,
      "version": 185,
      "versionNonce": 735379345,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408919960,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -88.23630060200435
        ],
        [
          219.4358890000002,
          -88.23630060200435
        ],
        [
          219.4358890000002,
          -294.5060229189192
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "8kZ2lg3rgELQaSRYmJs49",
        "fixedPoint": [
          0.497285168227823,
          1.1353008691653574
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -88.23630060200435
          ],
          "end": [
            219.4358890000002,
            -88.23630060200435
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "JjYXY1Q5fKxJ-2QzyJ_hj",
      "type": "line",
      "x": 394.77184012793896,
      "y": 157.60482196122487,
      "width": 0,
      "height": 86.875,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0X",
      "roundness": {
        "type": 2
      },
      "seed": 2055205439,
      "version": 120,
      "versionNonce": 1399577311,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -86.875
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "LHcABkN21hOUOmidcVBYZ",
      "type": "ellipse",
      "x": 453.79450132426393,
      "y": 238.860844880144,
      "width": 36.95467760734998,
      "height": 36.95467760734998,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ff8787",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "Ex_YiUSNPfO_R8M6XqYQi",
        "1yFnIXsAWKXwnQFvv62H0"
      ],
      "frameId": null,
      "index": "b0YV",
      "roundness": {
        "type": 2
      },
      "seed": 1604522193,
      "version": 661,
      "versionNonce": 1407838641,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "rUXG53wIhSgxjAgRp26dU",
          "type": "arrow"
        }
      ],
      "updated": 1761408846261,
      "link": null,
      "locked": false
    },
    {
      "id": "9JwzjdIE6pUY1fZTdU4Nh",
      "type": "line",
      "x": 483.2268760290382,
      "y": 248.8038493967274,
      "width": 21.910072165110847,
      "height": 17.068668489108013,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "Ex_YiUSNPfO_R8M6XqYQi",
        "1yFnIXsAWKXwnQFvv62H0"
      ],
      "frameId": null,
      "index": "b0Z",
      "roundness": {
        "type": 2
      },
      "seed": 2072694449,
      "version": 1131,
      "versionNonce": 1073410545,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408846261,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -8.706103536176816,
          2.211447728639211
        ],
        [
          -13.49529754416707,
          14.76503254112443
        ],
        [
          -21.910072165110847,
          17.068668489108013
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "kvWafz8iy5P7pvRlDE4aQ",
      "type": "rectangle",
      "x": 651.4144836840162,
      "y": 48.877483157549875,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "xGLcEGoq8LWpfpwc1dvIQ",
        "krhBvZxaWPSuLFixWmmyN"
      ],
      "frameId": null,
      "index": "b0d",
      "roundness": {
        "type": 3
      },
      "seed": 142326495,
      "version": 609,
      "versionNonce": 102223775,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "8f_An-rVCtARCKwSZoIV4",
          "type": "arrow"
        },
        {
          "id": "UMRRDxenGdq0vXSWvuqRU",
          "type": "arrow"
        }
      ],
      "updated": 1761408923649,
      "link": null,
      "locked": false
    },
    {
      "id": "l5cmP73tCALmTWe_5VT7e",
      "type": "line",
      "x": 669.8318310809809,
      "y": 56.024133246402414,
      "width": 0,
      "height": 22.006395402723488,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "xGLcEGoq8LWpfpwc1dvIQ",
        "krhBvZxaWPSuLFixWmmyN"
      ],
      "frameId": null,
      "index": "b0e",
      "roundness": {
        "type": 2
      },
      "seed": 807339775,
      "version": 564,
      "versionNonce": 2091119455,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          22.006395402723488
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "ZH2tpk63KBRK0-WdgWt2t",
      "type": "line",
      "x": 659.4413617970733,
      "y": 66.90958153409264,
      "width": 20.255886677506805,
      "height": 0,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "xGLcEGoq8LWpfpwc1dvIQ",
        "krhBvZxaWPSuLFixWmmyN"
      ],
      "frameId": null,
      "index": "b0f",
      "roundness": {
        "type": 2
      },
      "seed": 2042875679,
      "version": 568,
      "versionNonce": 1403793279,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          20.255886677506805,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "BNIYiLTCA3ByQEHTKJXyz",
      "type": "ellipse",
      "x": 543.132646324264,
      "y": 238.860844880144,
      "width": 36.95467760734998,
      "height": 36.95467760734998,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ff8787",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "IQMMQP47sVsVJcOv39n3o",
        "M8Y1kwMXFYDqEeo-gipBO"
      ],
      "frameId": null,
      "index": "b0i",
      "roundness": {
        "type": 2
      },
      "seed": 1071301233,
      "version": 620,
      "versionNonce": 1494373361,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "vKkESnRfgEWPPwEIl5QsI",
          "type": "arrow"
        }
      ],
      "updated": 1761408639773,
      "link": null,
      "locked": false
    },
    {
      "id": "zHSal1DwStrz_n8RldCWC",
      "type": "line",
      "x": 572.5650210290382,
      "y": 248.8038493967274,
      "width": 21.910072165110847,
      "height": 17.068668489108013,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "IQMMQP47sVsVJcOv39n3o",
        "M8Y1kwMXFYDqEeo-gipBO"
      ],
      "frameId": null,
      "index": "b0j",
      "roundness": {
        "type": 2
      },
      "seed": 152783953,
      "version": 1092,
      "versionNonce": 1981534303,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761408536466,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -8.706103536176816,
          2.211447728639211
        ],
        [
          -13.49529754416707,
          14.76503254112443
        ],
        [
          -21.910072165110847,
          17.068668489108013
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "8kZ2lg3rgELQaSRYmJs49",
      "type": "rectangle",
      "x": 545.8903816840163,
      "y": 48.87748315754986,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "3l2CzLRYxBlgEhtXhYVnF",
        "ZlW3pH3-8yOGh1H4qcG9y"
      ],
      "frameId": null,
      "index": "b0k",
      "roundness": {
        "type": 3
      },
      "seed": 1710992351,
      "version": 859,
      "versionNonce": 1194680767,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "0s2pDCDPWGEJVOi_B0bc9",
          "type": "arrow"
        },
        {
          "id": "y6Dd98MNKZd2FIHXpIx1T",
          "type": "arrow"
        }
      ],
      "updated": 1761408919959,
      "link": null,
      "locked": false
    },
    {
      "id": "YtOD5x8SKTqu3rwJF7SFX",
      "type": "line",
      "x": 557.0199185914983,
      "y": 59.877141285512536,
      "width": 14.066587970490785,
      "height": 14.066587970490785,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "3l2CzLRYxBlgEhtXhYVnF",
        "ZlW3pH3-8yOGh1H4qcG9y"
      ],
      "frameId": null,
      "index": "b0l",
      "roundness": {
        "type": 2
      },
      "seed": 444127231,
      "version": 912,
      "versionNonce": 205846527,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          14.066587970490785,
          14.066587970490785
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "xvo49_INXVx-XJjgS4axU",
      "type": "line",
      "x": 556.7352250301785,
      "y": 74.15245775932583,
      "width": 15.12939683937231,
      "height": 15.129396839372362,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "3l2CzLRYxBlgEhtXhYVnF",
        "ZlW3pH3-8yOGh1H4qcG9y"
      ],
      "frameId": null,
      "index": "b0m",
      "roundness": {
        "type": 2
      },
      "seed": 2059108383,
      "version": 886,
      "versionNonce": 503554079,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          15.12939683937231,
          -15.129396839372362
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "-AmY5MXerutUXbS85XnS7",
      "type": "rectangle",
      "x": 543.1326456840163,
      "y": 121.87748315754988,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "eVFHnjEaTLuAwame85X4J",
        "GwMAkOunF4bIvc3t9Fu09"
      ],
      "frameId": null,
      "index": "b0n",
      "roundness": {
        "type": 3
      },
      "seed": 325833983,
      "version": 834,
      "versionNonce": 771245119,
      "isDeleted": false,
      "boundElements": [
        {
          "type": "text",
          "id": "fVxnDaqjmFW4cZCi-gi__"
        },
        {
          "id": "ZVjfX1Sxv4bMX4ZjesRz4",
          "type": "arrow"
        }
      ],
      "updated": 1761408682873,
      "link": null,
      "locked": false
    },
    {
      "id": "fVxnDaqjmFW4cZCi-gi__",
      "type": "text",
      "x": 553.1700035039157,
      "y": 127.85482196122484,
      "width": 16.759979248046875,
      "height": 25,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 2,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "eVFHnjEaTLuAwame85X4J",
        "GwMAkOunF4bIvc3t9Fu09"
      ],
      "frameId": null,
      "index": "b0o",
      "roundness": null,
      "seed": 687994271,
      "version": 56,
      "versionNonce": 2080597087,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "text": "1-",
      "fontSize": 20,
      "fontFamily": 5,
      "textAlign": "center",
      "verticalAlign": "middle",
      "containerId": "-AmY5MXerutUXbS85XnS7",
      "originalText": "1-",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "8K-rokJRmxej2lsdYajP1",
      "type": "rectangle",
      "x": 376.9144836840163,
      "y": 121.87748315754988,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "JbQ-uvFZsmrrad0kxzG-V",
        "ulznLeL87mPaQBJEj9e3P"
      ],
      "frameId": null,
      "index": "b0r",
      "roundness": {
        "type": 3
      },
      "seed": 1968843007,
      "version": 914,
      "versionNonce": 518270737,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "rUXG53wIhSgxjAgRp26dU",
          "type": "arrow"
        },
        {
          "id": "8f_An-rVCtARCKwSZoIV4",
          "type": "arrow"
        }
      ],
      "updated": 1761408920991,
      "link": null,
      "locked": false
    },
    {
      "id": "DHXqPPf9BO3KFfFKc-UFu",
      "type": "line",
      "x": 388.0440205914982,
      "y": 132.87714128551255,
      "width": 14.066587970490785,
      "height": 14.066587970490785,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "JbQ-uvFZsmrrad0kxzG-V",
        "ulznLeL87mPaQBJEj9e3P"
      ],
      "frameId": null,
      "index": "b0s",
      "roundness": {
        "type": 2
      },
      "seed": 1867165983,
      "version": 966,
      "versionNonce": 376093919,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          14.066587970490785,
          14.066587970490785
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "VFVacHMujWLIh4BpJbH4G",
      "type": "line",
      "x": 387.7593270301785,
      "y": 147.15245775932584,
      "width": 15.12939683937231,
      "height": 15.129396839372362,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "JbQ-uvFZsmrrad0kxzG-V",
        "ulznLeL87mPaQBJEj9e3P"
      ],
      "frameId": null,
      "index": "b0t",
      "roundness": {
        "type": 2
      },
      "seed": 1177892159,
      "version": 940,
      "versionNonce": 1826474239,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408682873,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          15.12939683937231,
          -15.129396839372362
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "8f_An-rVCtARCKwSZoIV4",
      "type": "arrow",
      "x": 395.2318311279391,
      "y": 163.8321607648998,
      "width": 274.49999999999994,
      "height": 233.9411686130352,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0u",
      "roundness": null,
      "seed": 378939935,
      "version": 225,
      "versionNonce": 1673903569,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408923650,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          160.9411686130352
        ],
        [
          274.49999999999994,
          160.9411686130352
        ],
        [
          274.49999999999994,
          -73
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": {
        "elementId": "8K-rokJRmxej2lsdYajP1",
        "fixedPoint": [
          0.49728516822782143,
          1.135300869165357
        ],
        "focus": 0,
        "gap": 0
      },
      "endBinding": {
        "elementId": "kvWafz8iy5P7pvRlDE4aQ",
        "fixedPoint": [
          0.497285168227823,
          1.135300869165357
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            160.9411686130352
          ],
          "end": [
            274.49999999999994,
            160.9411686130352
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "UMRRDxenGdq0vXSWvuqRU",
      "type": "arrow",
      "x": 344.77184012793896,
      "y": 382.213183683819,
      "width": 324.95999100000006,
      "height": 291.3810229189192,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b0v",
      "roundness": null,
      "seed": 1862239775,
      "version": 137,
      "versionNonce": 550493105,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408923650,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -54.91414468671894
        ],
        [
          324.95999100000006,
          -54.91414468671894
        ],
        [
          324.95999100000006,
          -291.3810229189192
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "kvWafz8iy5P7pvRlDE4aQ",
        "fixedPoint": [
          0.497285168227823,
          1.135300869165357
        ],
        "focus": 0,
        "gap": 0
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": true,
      "fixedSegments": [
        {
          "index": 2,
          "start": [
            0,
            -54.91414468671894
          ],
          "end": [
            324.95999100000006,
            -54.91414468671894
          ]
        }
      ],
      "startIsSpecial": false,
      "endIsSpecial": false
    },
    {
      "id": "F440RMFeAqrJqJD8qIVBb",
      "type": "ellipse",
      "x": 651.2945013242639,
      "y": 238.86084488014407,
      "width": 36.95467760734998,
      "height": 36.95467760734998,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#4dabf7",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "IgyeMHJGwGYhNThtpuTlH",
        "IRZMPOWbR9AUKAr1AWWc_"
      ],
      "frameId": null,
      "index": "b0w",
      "roundness": {
        "type": 2
      },
      "seed": 736464785,
      "version": 665,
      "versionNonce": 1442334737,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761408542129,
      "link": null,
      "locked": false
    },
    {
      "id": "Gxx9WXgEHx-_xfG6MshQM",
      "type": "line",
      "x": 680.7268760290382,
      "y": 248.80384939672726,
      "width": 21.910072165110847,
      "height": 17.068668489108013,
      "angle": 0,
      "strokeColor": "#1971c2",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "IgyeMHJGwGYhNThtpuTlH",
        "IRZMPOWbR9AUKAr1AWWc_"
      ],
      "frameId": null,
      "index": "b0x",
      "roundness": {
        "type": 2
      },
      "seed": 9401713,
      "version": 1098,
      "versionNonce": 1520221567,
      "isDeleted": false,
      "boundElements": [],
      "updated": 1761408542129,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          -8.706103536176816,
          2.211447728639211
        ],
        [
          -13.49529754416707,
          14.76503254112443
        ],
        [
          -21.910072165110847,
          17.068668489108013
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "3dqv7IpqWpe1fKCXFyQy3",
      "type": "rectangle",
      "x": 651.4144836840163,
      "y": 165.860844880144,
      "width": 36.834694887845565,
      "height": 36.954677607349936,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "c7JC39yJTWkLuYLJTfNPK",
        "uc69Nrg_P9dl3Lc7WIub-"
      ],
      "frameId": null,
      "index": "b0y",
      "roundness": {
        "type": 3
      },
      "seed": 1503299743,
      "version": 767,
      "versionNonce": 1133100223,
      "isDeleted": false,
      "boundElements": [
        {
          "id": "fCxAhbdz-HwPHMLTaOVyF",
          "type": "arrow"
        }
      ],
      "updated": 1761408722721,
      "link": null,
      "locked": false
    },
    {
      "id": "5-viX-quZnvrdXySucopB",
      "type": "line",
      "x": 662.5440205914982,
      "y": 176.86050300810666,
      "width": 14.066587970490785,
      "height": 14.066587970490785,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "c7JC39yJTWkLuYLJTfNPK",
        "uc69Nrg_P9dl3Lc7WIub-"
      ],
      "frameId": null,
      "index": "b0z",
      "roundness": {
        "type": 2
      },
      "seed": 396238015,
      "version": 828,
      "versionNonce": 1570707935,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408546703,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          14.066587970490785,
          14.066587970490785
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "ppqZv0QCKTS3v1vdib_vN",
      "type": "line",
      "x": 662.2593270301785,
      "y": 191.13581948191995,
      "width": 15.12939683937231,
      "height": 15.129396839372362,
      "angle": 0,
      "strokeColor": "#ffffff",
      "backgroundColor": "#868e96",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [
        "c7JC39yJTWkLuYLJTfNPK",
        "uc69Nrg_P9dl3Lc7WIub-"
      ],
      "frameId": null,
      "index": "b10",
      "roundness": {
        "type": 2
      },
      "seed": 1415195871,
      "version": 802,
      "versionNonce": 585054097,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408546703,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          15.12939683937231,
          -15.129396839372362
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "fCxAhbdz-HwPHMLTaOVyF",
      "type": "arrow",
      "x": 565.3823367717188,
      "y": 183.4305975909543,
      "width": 80.54096107643852,
      "height": 0,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "transparent",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b15",
      "roundness": null,
      "seed": 1704674897,
      "version": 36,
      "versionNonce": 704143025,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408918608,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          80.54096107643852,
          0
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": {
        "elementId": "3dqv7IpqWpe1fKCXFyQy3",
        "focus": 0.04911887488279125,
        "gap": 5.491185835859028
      },
      "startArrowhead": null,
      "endArrowhead": "triangle",
      "elbowed": false
    },
    {
      "id": "D3yuVYhGFr17gkk3gDj-o",
      "type": "line",
      "x": 472.16131013754034,
      "y": 275.41910198631643,
      "width": 0,
      "height": 19.551649799081076,
      "angle": 0,
      "strokeColor": "#1e1e1e",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b17",
      "roundness": {
        "type": 2
      },
      "seed": 715327793,
      "version": 21,
      "versionNonce": 1628668831,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761408851259,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          19.551649799081076
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "NSkum1pwVZO6UEpSKoGJW",
      "type": "text",
      "x": 402.5545408947083,
      "y": -48.59164309878824,
      "width": 51.239959716796875,
      "height": 50,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b18",
      "roundness": null,
      "seed": 1930951313,
      "version": 31,
      "versionNonce": 621494015,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761409123872,
      "link": null,
      "locked": false,
      "text": "reset\ngate",
      "fontSize": 20,
      "fontFamily": 5,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "reset\ngate",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "uLd1Fla5tmiVitKiVp_bV",
      "type": "text",
      "x": 545.890381567953,
      "y": 353.67083269735326,
      "width": 67.11994934082031,
      "height": 50,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "dashed",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b19",
      "roundness": null,
      "seed": 1429544223,
      "version": 22,
      "versionNonce": 1938519153,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761409123872,
      "link": null,
      "locked": false,
      "text": "update\ngate",
      "fontSize": 20,
      "fontFamily": 5,
      "textAlign": "center",
      "verticalAlign": "top",
      "containerId": null,
      "originalText": "update\ngate",
      "autoResize": true,
      "lineHeight": 1.25
    },
    {
      "id": "ihrFq_gkt1ifImjFxcDjA",
      "type": "line",
      "x": 428.17784387997074,
      "y": 3.1663045375811407,
      "width": 0,
      "height": 47.98848276413661,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1A",
      "roundness": {
        "type": 2
      },
      "seed": 1364737503,
      "version": 25,
      "versionNonce": 1953040159,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761409123872,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          47.98848276413661
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    },
    {
      "id": "p0c0MxAeVwgLpY4YC8KNZ",
      "type": "line",
      "x": 576.7737598075165,
      "y": 347.9256675536152,
      "width": 0,
      "height": 51.77704719288431,
      "angle": 0,
      "strokeColor": "#e03131",
      "backgroundColor": "#ffc9c9",
      "fillStyle": "solid",
      "strokeWidth": 4,
      "strokeStyle": "solid",
      "roughness": 1,
      "opacity": 100,
      "groupIds": [],
      "frameId": null,
      "index": "b1B",
      "roundness": {
        "type": 2
      },
      "seed": 258908689,
      "version": 21,
      "versionNonce": 669367889,
      "isDeleted": false,
      "boundElements": null,
      "updated": 1761409123872,
      "link": null,
      "locked": false,
      "points": [
        [
          0,
          0
        ],
        [
          0,
          -51.77704719288431
        ]
      ],
      "lastCommittedPoint": null,
      "startBinding": null,
      "endBinding": null,
      "startArrowhead": null,
      "endArrowhead": null
    }
  ],
  "appState": {
    "gridSize": 20,
    "gridStep": 5,
    "gridModeEnabled": false,
    "viewBackgroundColor": "#ffffff"
  },
  "files": {}
}